## org.firebirdsql.gds.impl.wire
Class isc_svc_handle_impl

    java.lang.Object
      org.firebirdsql.gds.impl.wire.isc_svc_handle_impl

All Implemented Interfaces:
  IscSvcHandle

    public final class isc_svc_handle_impl

extends Object
implements IscSvcHandle

Describe class `isc_svc_handle_impl` here.

Field Summary
`XdrInputStream` `in`
`XdrOutputStream` `out`

Constructor Summary
`isc_svc_handle_impl()`

Method Summary
`void` `addWarning(GDSException warning)`
`void` `clearWarnings()` Clear warning list associated with this connection.
`int` `getHandle()`
`long` `getResp_blob_id()`
`byte[]` `getResp_data()`
`int` `getResp_object()`
`List` `getWarnings()` Get list of warnings that were returned by the server.
`boolean` `isNotValid()` Retrieve whether this service handle is invalid.
`boolean` `isValid()` Retrieve whether this service handle is valid.
`void` `setHandle(int rdb_id)`
`void` `setResp_blob_id(long resp_blob_id)`
`void` `setResp_data(byte[] resp_data)`
`void` `setResp_object(int resp_object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    public XdrOutputStream out

### in

    public XdrInputStream in

Constructor Detail

### isc_svc_handle_impl

    public isc_svc_handle_impl()

Method Detail

### isValid

    public boolean isValid()

  Description copied from interface: `IscSvcHandle`
  Retrieve whether this service handle is valid.

  Specified by:
    `isValid` in interface `IscSvcHandle`
  Returns:
    `true` if the handle is valid, `false` otherwise

### setHandle

    public void setHandle(int rdb_id)

### getHandle

    public int getHandle()

### getResp_blob_id

    public long getResp_blob_id()

  Returns:
    Returns the resp_blob_id.

### setResp_blob_id

    public void setResp_blob_id(long resp_blob_id)

  Parameters:
    `resp_blob_id` - The resp_blob_id to set.

### getResp_data

    public byte[] getResp_data()

  Returns:
    Returns the resp_data.

### setResp_data

    public void setResp_data(byte[] resp_data)

  Parameters:
    `resp_data` - The resp_data to set.

### getResp_object

    public int getResp_object()

  Returns:
    Returns the resp_object.

### setResp_object

    public void setResp_object(int resp_object)

  Parameters:
    `resp_object` - The resp_object to set.

### getWarnings

    public List getWarnings()

  Description copied from interface: `IscSvcHandle`
  Get list of warnings that were returned by the server.

  Specified by:
    `getWarnings` in interface `IscSvcHandle`
  Returns:
    instance of `List`containing instances of `GDSException`representing server warnings (method `GDSException.isWarning()`returns `true`).

### addWarning

    public void addWarning(GDSException warning)

### clearWarnings

    public void clearWarnings()

  Description copied from interface: `IscSvcHandle`
  Clear warning list associated with this connection.

  Specified by:
    `clearWarnings` in interface `IscSvcHandle`

### isNotValid

    public boolean isNotValid()

  Description copied from interface: `IscSvcHandle`
  Retrieve whether this service handle is invalid.

  Specified by:
    `isNotValid` in interface `IscSvcHandle`
  Returns:
    `true` if the handle is invalid, `false` otherwise

Copyright © 2001-2010. All Rights Reserved.